Bug 864 - INTERNAL ERROR: Signal 11 in pid 1740 (3.0.0-Debian)
INTERNAL ERROR: Signal 11 in pid 1740 (3.0.0-Debian)
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: File Services
3.0.0
All Linux
: P3 major
: none
Assigned To: Samba Bugzilla Account
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-07 23:00 UTC by eugene v. samusev
Modified: 2005-11-14 09:28 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description eugene v. samusev 2003-12-07 23:00:43 UTC
Very much frequently repeat the following messages in samba log files:

[2003/12/08 10:42:19, 1] smbd/service.c:make_connection_snum(698)
  w59 (192.168.100.59) connect to service ryzhkovanj initially as user
FORGET+ryzhkovanj (uid=10137, gid=10000) (pid 1740)
[2003/12/08 10:43:08, 0] smbd/oplock.c:request_oplock_break(1023)
  request_oplock_break: no response received to oplock break request to pid 1738
on port 32887 for dev = 1641, inode = 103075, file_id = 1
[2003/12/08 10:43:08, 0] smbd/open.c:open_mode_check(691)
  open_mode_check: exlusive oplock left by process 1738 after break ! For file
ÎÒÄÅË ÇÀÊÓÏÀ/ÏËÀÒÅÆÈ/ïëàòåæè.xls, dev = 1641, inode = 103075. Deleting it to
continue...
[2003/12/08 10:43:08, 0] smbd/open.c:open_mode_check(695)
  open_mode_check: Existent process 1738 left active oplock.
[2003/12/08 11:39:42, 0] lib/fault.c:fault_report(36)
  ===============================================================
[2003/12/08 11:39:42, 0] lib/fault.c:fault_report(37)
  INTERNAL ERROR: Signal 11 in pid 1740 (3.0.0-Debian)
  Please read the appendix Bugs of the Samba HOWTO collection
[2003/12/08 11:39:42, 0] lib/fault.c:fault_report(39)
  ===============================================================
[2003/12/08 11:39:42, 0] lib/util.c:smb_panic(1390)
  smb_panic(): calling panic action [/usr/share/samba/panic-action 1740]
[2003/12/08 11:39:42, 0] lib/util.c:smb_panic(1398)
  smb_panic(): action returned status 0
[2003/12/08 11:39:42, 0] lib/util.c:smb_panic(1400)
  PANIC: internal error
[2003/12/08 11:39:42, 0] lib/util.c:smb_panic(1407)
  BACKTRACE: 20 stack frames:
   #0 /usr/sbin/smbd(smb_panic+0x16b) [0x81818c3]
   #1 /usr/sbin/smbd [0x81727f3]
   #2 /usr/sbin/smbd [0x8172845]
   #3 /lib/libc.so.6 [0x401676b8]
   #4 /lib/libc.so.6 [0x401ad451]
   #5 /lib/libc.so.6(__libc_realloc+0x218) [0x401acfb4]
   #6 /usr/sbin/smbd(Realloc+0x79) [0x8180c61]
   #7 /usr/sbin/smbd [0x81559f6]
   #8 /usr/sbin/smbd(fd_close_posix+0xb0) [0x8155c98]
   #9 /usr/sbin/smbd(fd_close+0x1b) [0x80aad67]
   #10 /usr/sbin/smbd [0x80ad6d8]
   #11 /usr/sbin/smbd(close_file+0x34) [0x80ad938]
   #12 /usr/sbin/smbd(reply_close+0x163) [0x809a36f]
   #13 /usr/sbin/smbd [0x80b8eaa]
   #14 /usr/sbin/smbd [0x80b8f43]
   #15 /usr/sbin/smbd(process_smb+0x187) [0x80b91e3]
   #16 /usr/sbin/smbd(smbd_process+0x14f) [0x80b9b2f]
   #17 /usr/sbin/smbd(main+0x69b) [0x81d784f]
   #18 /lib/libc.so.6(__libc_start_main+0xbb) [0x4015714f]
   #19 /usr/sbin/smbd(ldap_msgfree+0x71) [0x8076bc1]
[2003/12/08 11:39:42, 0] lib/util_sock.c:get_socket_addr(919)
  getpeername failed. Error was Transport endpoint is not connected
[2003/12/08 11:39:42, 0] lib/util_sock.c:write_socket_data(388)
  write_socket_data: write failure. Error = Connection reset by peer
[2003/12/08 11:39:42, 0] lib/util_sock.c:write_socket(413)
  write_socket: Error writing 4 bytes to socket 5: ERRNO = Connection reset by peer
[2003/12/08 11:39:42, 0] lib/util_sock.c:send_smb(585)
  Error writing 4 bytes to client. -1. (Connection reset by peer)
[2003/12/08 11:39:42, 1] smbd/service.c:make_connection_snum(698)
  w59 (192.168.100.59) connect to service commercial initially as user
FORGET+ryzhkovanj (uid=10137, gid=10000) (pid 1859)
[2003/12/08 11:39:55, 1] smbd/service.c:make_connection_snum(698)


smb.conf:
[global]
   workgroup = forget
   netbios name = ani
   server string = %h server (Samba %v)
   dns proxy = yes
   log file = /var/log/samba/log.%m
   max log size = 1000
   syslog = 0
   panic action = /usr/share/samba/panic-action %d
   security = domain
   password server = *
   encrypt passwords = yes
   passdb backend = smbpasswd:/etc/samba/smbpasswd
   obey pam restrictions = no
   invalid users = root
   unix password sync = no
   pam password change = no
   load printers = no
   socket options = TCP_NODELAY SO_RCVBUF=8192 SO_SNDBUF=8192
   domain master = no

   auth methods = sam winbind
   winbind separator = +
   idmap uid = 10000-20000
   idmap gid = 10000-20000
   template shell = /bin/bash
   template homedir = /home/hdd/Users/%U


[homes]
   comment = Home Directories
   browseable = no
   writable = yes
   create mask = 0700
   directory mask = 0700
   root preexec = /usr/local/bin/check_user_cat.sh /home/hdd/Users %U

[all_shares]
        comment = all shares for administrators
        browseable = no
        writeable = yes
        create mask = 0700
        directory mask = 0700
        valid users =  @"FORGET+Domain Admins"
        path = /home/hdd

[beer]
        browseable = no
        writeable = yes
        create mask = 0770
        directory mask = 0770
        path = /home/hdd/Groups/beer
        valid users = @"FORGET+beer"

[buh_next]
        browseable = no
        writeable = yes
        create mask = 0770
        directory mask = 0770
        path = /home/hdd/Groups/buh_next
        valid users = @"FORGET+buh_next"

[buh_service]
        browseable = no
        writeable = yes
        create mask = 0770
        directory mask = 0770
        path = /home/hdd/Groups/buh_service
        valid users = @"FORGET+buh_service"

[ito]
        browseable = no
        writeable = yes
        create mask = 0770
        directory mask = 0770
        path = /home/hdd/Groups/ito
        valid users = @"FORGET+ITO"

[commercial]
        browseable = no
        writeable = yes
        create mask = 0770
        directory mask = 0770
        path = /home/hdd/Groups/commercial
        valid users = @"FORGET+Commercial"

[commercial_group]
        browseable = no
        writeable = yes
        create mask = 0770
        directory mask = 0770
        path = /home/hdd/Groups/Commercial_group
        valid users = @"FORGET+Commercial_group"

[director]
        browseable = no
        writeable = yes
        create mask = 0770
        directory mask = 0770
        path = /home/hdd/Groups/director
        valid users = @"FORGET+Director"

[doc_oborot]
        browseable = no
        writeable = yes
        create mask = 0770
        directory mask = 0770
        path = /home/hdd/Groups/doc_oborot
        valid users = @"FORGET+doc_oborot"

[expluatation]
        browseable = no
        writeable = yes
        create mask = 0770
        directory mask = 0770
        path = /home/hdd/Groups/expluatation
        valid users = @"FORGET+expluatation"

[finance]
        browseable = no
        writeable = yes
        create mask = 0770
        directory mask = 0770
        path = /home/hdd/Groups/finance
        valid users = @"FORGET+finance"

[finance_beer_ra]
        browseable = no
        writeable = yes
        create mask = 0770
        directory mask = 0770
        path = /home/hdd/Groups/finance_beer_ra
        valid users = @"FORGET+finance_beer_ra"

[j_t_v]
        browseable = no
        writeable = yes
        create mask = 0770
        directory mask = 0770
        path = /home/hdd/Groups/j_t_v
        valid users = @"FORGET+j_t_v"

[personal]
        browseable = no
        writeable = yes
        create mask = 0770
        directory mask = 0770
        path = /home/hdd/Groups/personal
        valid users = @"FORGET+personal"

[urist]
        browseable = no
        writeable = no
        create mask = 0770
        directory mask = 0770
        path = /home/hdd/Groups/urist
        valid users = @"FORGET+urist"

[common]
        browseable = yes
        writeable = yes
        create mask = 0777
        directory mask = 0777
        path = /home/hdd/Groups/common
Comment 1 Gerald (Jerry) Carter 2004-02-10 13:16:56 UTC
please reopen if this is not fixed in 3.0.2.  I have a feeling it 
was addressed by some of the recent character set fixes.
Comment 2 Gerald (Jerry) Carter 2005-08-24 10:24:28 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.
Comment 3 Gerald (Jerry) Carter 2005-11-14 09:28:25 UTC
database cleanup